import {
	Request
} from '@/service/request/index.js'
// 登录
export default {
	logins(data) {
		return Request({
			url: '/v1/api/login/staffLogin',
			method: 'post',
			data
		})
	},
	getMenu(data) {
		return Request({
			url: '/v1/api/basic/home/menu',
			method: 'get',
			data
		})
	},
	getInfo(data) {
		return Request({
			url: '/v1/api/basic/home/staffInfo',
			method: 'get',
			data
		})
	},
	// 退出登录
	exit(data) {
		return Request({
			url: '/v1/api/login/exit',
			method: 'post',
			data
		})
	},
	getOpenId(data) {
		return Request({
			url: `/v1/api/basic/home/getOpenId?code=${data}`,
			method: 'get',
		})
	},
	getNoticeList(data) {
		return Request({
			url: `/v1/api/notice/list`,
			method: 'get',
			data
		})
	},
	getImage(data) {
		return Request({
			url: `/v1/api/file/getImage`,
			method: 'get',
			responseType: 'arraybuffer',
			data
		})
	},
	// 获取验证码
	generateCode(data) {
		return Request({
			url: '/v1/api/login/generateCode',
			method: 'post',
			data
		})
	},
}